/*
 * DocServer
 * More Info available on https://www.doctag.de
 *
 * The version of the OpenAPI document: 0.1
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package de.doctag.docsrv_api.model;

import java.util.Objects;
import java.util.Arrays;
import java.util.Map;
import java.util.HashMap;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonTypeName;
import com.fasterxml.jackson.annotation.JsonValue;
import de.doctag.docsrv_api.model.SignInputOptions;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


/**
 * WorkflowInputOptions
 */
@JsonPropertyOrder({
  WorkflowInputOptions.JSON_PROPERTY_SIGN_INPUT_OPTIONS
})
@javax.annotation.processing.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen")
public class WorkflowInputOptions {
  public static final String JSON_PROPERTY_SIGN_INPUT_OPTIONS = "signInputOptions";
  private SignInputOptions signInputOptions;


  public WorkflowInputOptions signInputOptions(SignInputOptions signInputOptions) {
    this.signInputOptions = signInputOptions;
    return this;
  }

   /**
   * Get signInputOptions
   * @return signInputOptions
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")
  @JsonProperty(JSON_PROPERTY_SIGN_INPUT_OPTIONS)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)

  public SignInputOptions getSignInputOptions() {
    return signInputOptions;
  }


  @JsonProperty(JSON_PROPERTY_SIGN_INPUT_OPTIONS)
  @JsonInclude(value = JsonInclude.Include.USE_DEFAULTS)
  public void setSignInputOptions(SignInputOptions signInputOptions) {
    this.signInputOptions = signInputOptions;
  }


  /**
   * Return true if this WorkflowInputOptions object is equal to o.
   */
  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WorkflowInputOptions workflowInputOptions = (WorkflowInputOptions) o;
    return Objects.equals(this.signInputOptions, workflowInputOptions.signInputOptions);
  }

  @Override
  public int hashCode() {
    return Objects.hash(signInputOptions);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WorkflowInputOptions {\n");
    sb.append("    signInputOptions: ").append(toIndentedString(signInputOptions)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

